import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/api/requests/login_data.dart';

part 'login.g.dart';


@JsonSerializable(explicitToJson: true)
class LoginRequest {
  final LoginData login;
  final String clientId;
  final String deviceId;

  const LoginRequest({
    required this.login,
    required this.clientId,
    required this.deviceId,
  });

  factory LoginRequest.fromJson(Map<String, dynamic> json) => _$LoginRequestFromJson(json);
  Map<String, dynamic> toJson() => _$LoginRequestToJson(this);
}
